libzypp: zypp::sat::SolvAttr Class Reference

libzypp 17.38.6

zypp::sat::SolvAttr Class Reference

Solvable attribute keys. More...

`#include <zypp/sat/SolvAttr.h>`

Inheritance diagram for zypp::sat::SolvAttr:

## Static Public Attributes
Some builtin SolvAttr constants.
static const SolvAttr | allAttr
| Value to request searching all Attributes (0).
static const SolvAttr | noAttr
| Value representing `noAttr` ("").
special solvable attributes which are part of the ::Solvable struct
static const SolvAttr | name
static const SolvAttr | edition
static const SolvAttr | arch
static const SolvAttr | vendor
dependency attributes
static const SolvAttr provides | ZYPP_DEPRECATED
static const SolvAttr obsoletes | ZYPP_DEPRECATED
static const SolvAttr conflicts | ZYPP_DEPRECATED
static const | SolvAttr
static const SolvAttr recommends | ZYPP_DEPRECATED
static const SolvAttr suggests | ZYPP_DEPRECATED
static const SolvAttr supplements | ZYPP_DEPRECATED
static const SolvAttr enhances | ZYPP_DEPRECATED
static const SolvAttr | dep_provides
static const SolvAttr | dep_obsoletes
static const SolvAttr | dep_conflicts
static const SolvAttr | dep_requires
static const SolvAttr | dep_recommends
static const SolvAttr | dep_suggests
static const SolvAttr | dep_supplements
static const SolvAttr | dep_enhances
common
static const SolvAttr | summary
static const SolvAttr | description
static const SolvAttr | insnotify
static const SolvAttr | delnotify
static const SolvAttr | eula
static const SolvAttr | installtime
static const SolvAttr | buildtime
static const SolvAttr | installsize
static const SolvAttr | downloadsize
static const SolvAttr | diskusage
static const SolvAttr | cpeid
package
static const SolvAttr | checksum
static const SolvAttr | mediadir
static const SolvAttr | medianr
static const SolvAttr | mediafile
static const SolvAttr | changelog
static const SolvAttr | buildhost
static const SolvAttr | distribution
static const SolvAttr | license
static const SolvAttr | packager
static const SolvAttr | group
static const SolvAttr | keywords
static const SolvAttr | sourcesize
static const SolvAttr | authors
static const SolvAttr | filelist
static const SolvAttr | sourcearch
static const SolvAttr | sourcename
static const SolvAttr | sourceevr
static const SolvAttr | headerend
static const SolvAttr | url
patch
static const SolvAttr | patchcategory
static const SolvAttr | rebootSuggested
static const SolvAttr | restartSuggested
static const SolvAttr | reloginSuggested
static const SolvAttr | message
static const SolvAttr | severity
static const SolvAttr | updateStatus
static const SolvAttr | updateCollection
static const SolvAttr | updateCollectionName
static const SolvAttr | updateCollectionEvr
static const SolvAttr | updateCollectionArch
static const SolvAttr | updateCollectionFilename
static const SolvAttr | updateCollectionFlags
static const SolvAttr | updateReference
static const SolvAttr | updateReferenceType
static const SolvAttr | updateReferenceHref
static const SolvAttr | updateReferenceId
static const SolvAttr | updateReferenceTitle
pattern
static const SolvAttr | isvisible
static const SolvAttr | icon
static const SolvAttr | order
static const SolvAttr | isdefault
static const SolvAttr | category
static const SolvAttr | script
static const SolvAttr | includes
static const SolvAttr | extends
product
static const SolvAttr | productReferenceFile
static const SolvAttr | productProductLine
static const SolvAttr | productShortlabel
static const SolvAttr | productDistproduct
static const SolvAttr | productDistversion
static const SolvAttr | productType
static const SolvAttr | productFlags
static const SolvAttr | productEndOfLife
static const SolvAttr | productRegisterTarget
static const SolvAttr | productRegisterRelease
static const SolvAttr | productRegisterFlavor
static const SolvAttr | productUrl
static const SolvAttr | productUrlType
static const SolvAttr | productUpdates
| array of repoids, hopefully label s too
static const SolvAttr | productUpdatesRepoid

## repository
static const SolvAttr | repositoryDeltaInfo
static const SolvAttr | repositoryAddedFileProvides
static const SolvAttr | repositoryRpmDbCookie
static const SolvAttr | repositoryTimestamp
static const SolvAttr | repositoryExpire
static const SolvAttr | repositoryUpdates
| array of repositoryProductLabel repositoryProductCpeid pairs
static const SolvAttr | repositoryDistros
| array of repositoryProductLabel repositoryProductCpeid pairs
static const SolvAttr | repositoryProductLabel
static const SolvAttr | repositoryProductCpeid
static const SolvAttr | repositoryRepoid
static const SolvAttr | repositoryKeywords
static const SolvAttr | repositoryRevision
static const SolvAttr | repositoryToolVersion
class | IdStringType< SolvAttr >
IdString | _str
| SolvAttr ()
| Default ctor: noAttr.
| SolvAttr (sat::detail::IdType id_r)
| Ctor taking kind as string.
| SolvAttr (const IdString &idstr_r)
| SolvAttr (const std::string &str_r)
| SolvAttr (const char *cstr_r)
SolvAttr | parent () const
| Return the parent of well know sub-structure attributes (SolvAttr::noAttr if none).
bool | hasParent () const
| Whether this is a well know sub-structure attribute.

## Additional Inherited Members
Public Types inherited from zypp::IdStringType< SolvAttr >
using | IdType
Public Member Functions inherited from zypp::IdStringType< SolvAttr >
IdString | idStr () const
bool | empty () const
unsigned | size () const
const char * | c_str () const
std::string | asString () const
IdType | id () const
| operator bool () const
| Evaluate in a boolean context ( !
| operator IdString () const
| Explicit conversion to IdString.
| operator std::string () const
| Explicit conversion to std::string.
int | compare (const SolvAttr &rhs) const
int | compare (const IdStringType &rhs) const
int | compare (const IdString &rhs) const
int | compare (const std::string &rhs) const
int | compare (const char *rhs) const
Static Public Member Functions inherited from zypp::IdStringType< SolvAttr >
static int | compare (const SolvAttr &lhs, const SolvAttr &rhs)
static int | compare (const SolvAttr &lhs, const IdString &rhs)
static int | compare (const SolvAttr &lhs, const std::string &rhs)
static int | compare (const SolvAttr &lhs, const char *rhs)
static int | compare (const IdString &lhs, const SolvAttr &rhs)
static int | compare (const IdString &lhs, const IdString &rhs)
static int | compare (const IdString &lhs, const std::string &rhs)
static int | compare (const IdString &lhs, const char *rhs)
static int | compare (const std::string &lhs, const SolvAttr &rhs)
static int | compare (const std::string &lhs, const IdString &rhs)
static int | compare (const std::string &lhs, const std::string &rhs)
static int | compare (const std::string &lhs, const char *rhs)
static int | compare (const char *lhs, const SolvAttr &rhs)
static int | compare (const char *lhs, const IdString &rhs)
static int | compare (const char *lhs, const std::string &rhs)
static int | compare (const char *lhs, const char *rhs)
Protected Member Functions inherited from zypp::IdStringType< SolvAttr >
| IdStringType ()=default
| IdStringType (const IdStringType &)=default
| IdStringType (IdStringType &&) noexcept=default
IdStringType & | operator= (const IdStringType &)=default
IdStringType & | operator= (IdStringType &&) noexcept=default
| ~IdStringType ()=default

## Detailed Description

Solvable attribute keys.

Attributes associated with individual solvables, or with the repository as a whole.

Note
  If you add well known subsructure attributes, update parent.

See also
  LookupAttr

Definition at line 40 of file SolvAttr.h.

## Constructor & Destructor Documentation

## ◆ SolvAttr() [1/5]

zypp::sat::SolvAttr::SolvAttr | ( |  | ) |
| inline

Default ctor: noAttr.

Definition at line 199 of file SolvAttr.h.

## ◆ SolvAttr() [2/5]

zypp::sat::SolvAttr::SolvAttr | ( | sat::detail::IdType | id_r | ) |
| inlineexplicit

Ctor taking kind as string.

Definition at line 202 of file SolvAttr.h.

## ◆ SolvAttr() [3/5]

zypp::sat::SolvAttr::SolvAttr | ( | const IdString & | idstr_r | ) |
| inlineexplicit

Definition at line 203 of file SolvAttr.h.

## ◆ SolvAttr() [4/5]

zypp::sat::SolvAttr::SolvAttr | ( | const std::string & | str_r | ) |
| inlineexplicit

Definition at line 204 of file SolvAttr.h.

## ◆ SolvAttr() [5/5]

zypp::sat::SolvAttr::SolvAttr | ( | const char * | cstr_r | ) |
| inlineexplicit

Definition at line 205 of file SolvAttr.h.

## Member Function Documentation

## ◆ parent()

SolvAttr zypp::sat::SolvAttr::parent | ( |  | ) | const

Return the parent of well know sub-structure attributes (SolvAttr::noAttr if none).

- updateCollection
- updateReference

Definition at line 163 of file SolvAttr.cc.

## ◆ hasParent()

bool zypp::sat::SolvAttr::hasParent | ( |  | ) | const
| inline

Whether this is a well know sub-structure attribute.

Definition at line 214 of file SolvAttr.h.

## Friends And Related Symbol Documentation

## ◆ IdStringType< SolvAttr >

friend class IdStringType< SolvAttr >
| friend

Definition at line 214 of file SolvAttr.h.

## Member Data Documentation

## ◆ allAttr

const SolvAttr zypp::sat::SolvAttr::allAttr
| static

Value to request searching all Attributes (0).

Definition at line 46 of file SolvAttr.h.

## ◆ noAttr

const SolvAttr zypp::sat::SolvAttr::noAttr
| static

Value representing `noAttr` ("").

Definition at line 48 of file SolvAttr.h.

## ◆ name

const SolvAttr zypp::sat::SolvAttr::name
| static

Definition at line 52 of file SolvAttr.h.

## ◆ edition

const SolvAttr zypp::sat::SolvAttr::edition
| static

Definition at line 53 of file SolvAttr.h.

## ◆ arch

const SolvAttr zypp::sat::SolvAttr::arch
| static

Definition at line 54 of file SolvAttr.h.

## ◆ vendor

const SolvAttr zypp::sat::SolvAttr::vendor
| static

Definition at line 55 of file SolvAttr.h.

## ◆ ZYPP_DEPRECATED [1/7]

const SolvAttr provides zypp::sat::SolvAttr::ZYPP_DEPRECATED
| static

Definition at line 61 of file SolvAttr.h.

## ◆ ZYPP_DEPRECATED [2/7]

const SolvAttr obsoletes zypp::sat::SolvAttr::ZYPP_DEPRECATED
| static

Definition at line 62 of file SolvAttr.h.

## ◆ ZYPP_DEPRECATED [3/7]

const SolvAttr conflicts zypp::sat::SolvAttr::ZYPP_DEPRECATED
| static

Definition at line 63 of file SolvAttr.h.

## ◆ SolvAttr

const zypp::sat::SolvAttr::SolvAttr
| static

Definition at line 68 of file SolvAttr.h.

## ◆ ZYPP_DEPRECATED [4/7]

const SolvAttr recommends zypp::sat::SolvAttr::ZYPP_DEPRECATED
| static

Definition at line 72 of file SolvAttr.h.

## ◆ ZYPP_DEPRECATED [5/7]

const SolvAttr suggests zypp::sat::SolvAttr::ZYPP_DEPRECATED
| static

Definition at line 73 of file SolvAttr.h.

## ◆ ZYPP_DEPRECATED [6/7]

const SolvAttr supplements zypp::sat::SolvAttr::ZYPP_DEPRECATED
| static

Definition at line 74 of file SolvAttr.h.

## ◆ ZYPP_DEPRECATED [7/7]

const SolvAttr enhances zypp::sat::SolvAttr::ZYPP_DEPRECATED
| static

Definition at line 75 of file SolvAttr.h.

## ◆ dep_provides

const SolvAttr zypp::sat::SolvAttr::dep_provides
| static

Definition at line 79 of file SolvAttr.h.

## ◆ dep_obsoletes

const SolvAttr zypp::sat::SolvAttr::dep_obsoletes
| static

Definition at line 80 of file SolvAttr.h.

## ◆ dep_conflicts

const SolvAttr zypp::sat::SolvAttr::dep_conflicts
| static

Definition at line 81 of file SolvAttr.h.

## ◆ dep_requires

const SolvAttr zypp::sat::SolvAttr::dep_requires
| static

Definition at line 82 of file SolvAttr.h.

## ◆ dep_recommends

const SolvAttr zypp::sat::SolvAttr::dep_recommends
| static

Definition at line 83 of file SolvAttr.h.

## ◆ dep_suggests

const SolvAttr zypp::sat::SolvAttr::dep_suggests
| static

Definition at line 84 of file SolvAttr.h.

## ◆ dep_supplements

const SolvAttr zypp::sat::SolvAttr::dep_supplements
| static

Definition at line 85 of file SolvAttr.h.

## ◆ dep_enhances

const SolvAttr zypp::sat::SolvAttr::dep_enhances
| static

Definition at line 86 of file SolvAttr.h.

## ◆ summary

const SolvAttr zypp::sat::SolvAttr::summary
| static

Definition at line 90 of file SolvAttr.h.

## ◆ description

const SolvAttr zypp::sat::SolvAttr::description
| static

Definition at line 91 of file SolvAttr.h.

## ◆ insnotify

const SolvAttr zypp::sat::SolvAttr::insnotify
| static

Definition at line 92 of file SolvAttr.h.

## ◆ delnotify

const SolvAttr zypp::sat::SolvAttr::delnotify
| static

Definition at line 93 of file SolvAttr.h.

## ◆ eula

const SolvAttr zypp::sat::SolvAttr::eula
| static

Definition at line 94 of file SolvAttr.h.

## ◆ installtime

const SolvAttr zypp::sat::SolvAttr::installtime
| static

Definition at line 95 of file SolvAttr.h.

## ◆ buildtime

const SolvAttr zypp::sat::SolvAttr::buildtime
| static

Definition at line 96 of file SolvAttr.h.

## ◆ installsize

const SolvAttr zypp::sat::SolvAttr::installsize
| static

Definition at line 97 of file SolvAttr.h.

## ◆ downloadsize

const SolvAttr zypp::sat::SolvAttr::downloadsize
| static

Definition at line 98 of file SolvAttr.h.

## ◆ diskusage

const SolvAttr zypp::sat::SolvAttr::diskusage
| static

Definition at line 99 of file SolvAttr.h.

## ◆ cpeid

const SolvAttr zypp::sat::SolvAttr::cpeid
| static

Definition at line 100 of file SolvAttr.h.

## ◆ checksum

const SolvAttr zypp::sat::SolvAttr::checksum
| static

Definition at line 105 of file SolvAttr.h.

## ◆ mediadir

const SolvAttr zypp::sat::SolvAttr::mediadir
| static

Definition at line 106 of file SolvAttr.h.

## ◆ medianr

const SolvAttr zypp::sat::SolvAttr::medianr
| static

Definition at line 107 of file SolvAttr.h.

## ◆ mediafile

const SolvAttr zypp::sat::SolvAttr::mediafile
| static

Definition at line 108 of file SolvAttr.h.

## ◆ changelog

const SolvAttr zypp::sat::SolvAttr::changelog
| static

Definition at line 109 of file SolvAttr.h.

## ◆ buildhost

const SolvAttr zypp::sat::SolvAttr::buildhost
| static

Definition at line 110 of file SolvAttr.h.

## ◆ distribution

const SolvAttr zypp::sat::SolvAttr::distribution
| static

Definition at line 111 of file SolvAttr.h.

## ◆ license

const SolvAttr zypp::sat::SolvAttr::license
| static

Definition at line 112 of file SolvAttr.h.

## ◆ packager

const SolvAttr zypp::sat::SolvAttr::packager
| static

Definition at line 113 of file SolvAttr.h.

## ◆ group

const SolvAttr zypp::sat::SolvAttr::group
| static

Definition at line 114 of file SolvAttr.h.

## ◆ keywords

const SolvAttr zypp::sat::SolvAttr::keywords
| static

Definition at line 115 of file SolvAttr.h.

## ◆ sourcesize

const SolvAttr zypp::sat::SolvAttr::sourcesize
| static

Definition at line 116 of file SolvAttr.h.

## ◆ authors

const SolvAttr zypp::sat::SolvAttr::authors
| static

Definition at line 117 of file SolvAttr.h.

## ◆ filelist

const SolvAttr zypp::sat::SolvAttr::filelist
| static

Definition at line 118 of file SolvAttr.h.

## ◆ sourcearch

const SolvAttr zypp::sat::SolvAttr::sourcearch
| static

Definition at line 119 of file SolvAttr.h.

## ◆ sourcename

const SolvAttr zypp::sat::SolvAttr::sourcename
| static

Definition at line 120 of file SolvAttr.h.

## ◆ sourceevr

const SolvAttr zypp::sat::SolvAttr::sourceevr
| static

Definition at line 121 of file SolvAttr.h.

## ◆ headerend

const SolvAttr zypp::sat::SolvAttr::headerend
| static

Definition at line 122 of file SolvAttr.h.

## ◆ url

const SolvAttr zypp::sat::SolvAttr::url
| static

Definition at line 123 of file SolvAttr.h.

## ◆ patchcategory

const SolvAttr zypp::sat::SolvAttr::patchcategory
| static

Definition at line 128 of file SolvAttr.h.

## ◆ rebootSuggested

const SolvAttr zypp::sat::SolvAttr::rebootSuggested
| static

Definition at line 129 of file SolvAttr.h.

## ◆ restartSuggested

const SolvAttr zypp::sat::SolvAttr::restartSuggested
| static

Definition at line 130 of file SolvAttr.h.

## ◆ reloginSuggested

const SolvAttr zypp::sat::SolvAttr::reloginSuggested
| static

Definition at line 131 of file SolvAttr.h.

## ◆ message

const SolvAttr zypp::sat::SolvAttr::message
| static

Definition at line 132 of file SolvAttr.h.

## ◆ severity

const SolvAttr zypp::sat::SolvAttr::severity
| static

Definition at line 133 of file SolvAttr.h.

## ◆ updateStatus

const SolvAttr zypp::sat::SolvAttr::updateStatus
| static

Definition at line 134 of file SolvAttr.h.

## ◆ updateCollection

const SolvAttr zypp::sat::SolvAttr::updateCollection
| static

Definition at line 135 of file SolvAttr.h.

## ◆ updateCollectionName

const SolvAttr zypp::sat::SolvAttr::updateCollectionName
| static

Definition at line 136 of file SolvAttr.h.

## ◆ updateCollectionEvr

const SolvAttr zypp::sat::SolvAttr::updateCollectionEvr
| static

Definition at line 137 of file SolvAttr.h.

## ◆ updateCollectionArch

const SolvAttr zypp::sat::SolvAttr::updateCollectionArch
| static

Definition at line 138 of file SolvAttr.h.

## ◆ updateCollectionFilename

const SolvAttr zypp::sat::SolvAttr::updateCollectionFilename
| static

Definition at line 139 of file SolvAttr.h.

## ◆ updateCollectionFlags

const SolvAttr zypp::sat::SolvAttr::updateCollectionFlags
| static

Definition at line 140 of file SolvAttr.h.

## ◆ updateReference

const SolvAttr zypp::sat::SolvAttr::updateReference
| static

Definition at line 141 of file SolvAttr.h.

## ◆ updateReferenceType

const SolvAttr zypp::sat::SolvAttr::updateReferenceType
| static

Definition at line 142 of file SolvAttr.h.

## ◆ updateReferenceHref

const SolvAttr zypp::sat::SolvAttr::updateReferenceHref
| static

Definition at line 143 of file SolvAttr.h.

## ◆ updateReferenceId

const SolvAttr zypp::sat::SolvAttr::updateReferenceId
| static

Definition at line 144 of file SolvAttr.h.

## ◆ updateReferenceTitle

const SolvAttr zypp::sat::SolvAttr::updateReferenceTitle
| static

Definition at line 145 of file SolvAttr.h.

## ◆ isvisible

const SolvAttr zypp::sat::SolvAttr::isvisible
| static

Definition at line 150 of file SolvAttr.h.

## ◆ icon

const SolvAttr zypp::sat::SolvAttr::icon
| static

Definition at line 151 of file SolvAttr.h.

## ◆ order

const SolvAttr zypp::sat::SolvAttr::order
| static

Definition at line 152 of file SolvAttr.h.

## ◆ isdefault

const SolvAttr zypp::sat::SolvAttr::isdefault
| static

Definition at line 153 of file SolvAttr.h.

## ◆ category

const SolvAttr zypp::sat::SolvAttr::category
| static

Definition at line 154 of file SolvAttr.h.

## ◆ script

const SolvAttr zypp::sat::SolvAttr::script
| static

Definition at line 155 of file SolvAttr.h.

## ◆ includes

const SolvAttr zypp::sat::SolvAttr::includes
| static

Definition at line 156 of file SolvAttr.h.

## ◆ extends

const SolvAttr zypp::sat::SolvAttr::extends
| static

Definition at line 157 of file SolvAttr.h.

## ◆ productReferenceFile

const SolvAttr zypp::sat::SolvAttr::productReferenceFile
| static

Definition at line 162 of file SolvAttr.h.

## ◆ productProductLine

const SolvAttr zypp::sat::SolvAttr::productProductLine
| static

Definition at line 163 of file SolvAttr.h.

## ◆ productShortlabel

const SolvAttr zypp::sat::SolvAttr::productShortlabel
| static

Definition at line 164 of file SolvAttr.h.

## ◆ productDistproduct

const SolvAttr zypp::sat::SolvAttr::productDistproduct
| static

Definition at line 165 of file SolvAttr.h.

## ◆ productDistversion

const SolvAttr zypp::sat::SolvAttr::productDistversion
| static

Definition at line 166 of file SolvAttr.h.

## ◆ productType

const SolvAttr zypp::sat::SolvAttr::productType
| static

Definition at line 167 of file SolvAttr.h.

## ◆ productFlags

const SolvAttr zypp::sat::SolvAttr::productFlags
| static

Definition at line 168 of file SolvAttr.h.

## ◆ productEndOfLife

const SolvAttr zypp::sat::SolvAttr::productEndOfLife
| static

Definition at line 169 of file SolvAttr.h.

## ◆ productRegisterTarget

const SolvAttr zypp::sat::SolvAttr::productRegisterTarget
| static

Definition at line 170 of file SolvAttr.h.

## ◆ productRegisterRelease

const SolvAttr zypp::sat::SolvAttr::productRegisterRelease
| static

Definition at line 171 of file SolvAttr.h.

## ◆ productRegisterFlavor

const SolvAttr zypp::sat::SolvAttr::productRegisterFlavor
| static

Definition at line 172 of file SolvAttr.h.

## ◆ productUrl

const SolvAttr zypp::sat::SolvAttr::productUrl
| static

Definition at line 173 of file SolvAttr.h.

## ◆ productUrlType

const SolvAttr zypp::sat::SolvAttr::productUrlType
| static

Definition at line 174 of file SolvAttr.h.

## ◆ productUpdates

const SolvAttr zypp::sat::SolvAttr::productUpdates
| static

array of repoids, hopefully label s too

Definition at line 175 of file SolvAttr.h.

## ◆ productUpdatesRepoid

const SolvAttr zypp::sat::SolvAttr::productUpdatesRepoid
| static

Definition at line 176 of file SolvAttr.h.

## ◆ repositoryDeltaInfo

const SolvAttr zypp::sat::SolvAttr::repositoryDeltaInfo
| static

Definition at line 181 of file SolvAttr.h.

## ◆ repositoryAddedFileProvides

const SolvAttr zypp::sat::SolvAttr::repositoryAddedFileProvides
| static

Definition at line 182 of file SolvAttr.h.

## ◆ repositoryRpmDbCookie

const SolvAttr zypp::sat::SolvAttr::repositoryRpmDbCookie
| static

Definition at line 183 of file SolvAttr.h.

## ◆ repositoryTimestamp

const SolvAttr zypp::sat::SolvAttr::repositoryTimestamp
| static

Definition at line 184 of file SolvAttr.h.

## ◆ repositoryExpire

const SolvAttr zypp::sat::SolvAttr::repositoryExpire
| static

Definition at line 185 of file SolvAttr.h.

## ◆ repositoryUpdates

const SolvAttr zypp::sat::SolvAttr::repositoryUpdates
| static

array of repositoryProductLabel repositoryProductCpeid pairs

Definition at line 186 of file SolvAttr.h.

## ◆ repositoryDistros

const SolvAttr zypp::sat::SolvAttr::repositoryDistros
| static

array of repositoryProductLabel repositoryProductCpeid pairs

Definition at line 187 of file SolvAttr.h.

## ◆ repositoryProductLabel

const SolvAttr zypp::sat::SolvAttr::repositoryProductLabel
| static

Definition at line 188 of file SolvAttr.h.

## ◆ repositoryProductCpeid

const SolvAttr zypp::sat::SolvAttr::repositoryProductCpeid
| static

Definition at line 189 of file SolvAttr.h.

## ◆ repositoryRepoid

const SolvAttr zypp::sat::SolvAttr::repositoryRepoid
| static

Definition at line 190 of file SolvAttr.h.

## ◆ repositoryKeywords

const SolvAttr zypp::sat::SolvAttr::repositoryKeywords
| static

Definition at line 191 of file SolvAttr.h.

## ◆ repositoryRevision

const SolvAttr zypp::sat::SolvAttr::repositoryRevision
| static

Definition at line 192 of file SolvAttr.h.

## ◆ repositoryToolVersion

const SolvAttr zypp::sat::SolvAttr::repositoryToolVersion
| static

Definition at line 193 of file SolvAttr.h.

## ◆ _str

IdString zypp::sat::SolvAttr::_str
| private

Definition at line 219 of file SolvAttr.h.

The documentation for this class was generated from the following files:

- zypp/sat/SolvAttr.h
- zypp/sat/SolvAttr.cc